Bug 1250305 - Ensure the job queue catches any errors and logs them properly
Ensure the job queue catches any errors and logs them properly
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Jeff Fearn
Rony Gong
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 01:25 EDT by Jeff Fearn
Modified: 2015-09-20 19:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-20 19:28:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2015-08-05 01:25:06 EDT
Description of problem:
Currently the job queue can terminate and not log an event for why or when it terminated. Need to be able to guarantee an event is logged whenever the job runner terminates.
Comment 1 Jeff Fearn 2015-08-17 01:56:13 EDT
Couple of ways to test this.

1: run a stress test, it's bound to cause serialization errors which should go in to the BZ log, not in to the error log.

2: add some jobs to the job queue with he queue disabled, then edit the db to set ts_job.run_after to empty string or a negative number or something weird, this might trigger an error that again should go in the standard log.
Comment 2 Rony Gong 2015-08-17 04:19:59 EDT
Tested on 
QA environment(bzperfweb01.app.qa) with version(4.4.9039-1, DB: psql )
Result: Pass
Comment 3 Matt Tyson 2015-09-20 19:28:41 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.